Bug 12922 - Most samba-systemkrb5 tests missing
Most samba-systemkrb5 tests missing
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.7.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 08:13 UTC by Andrew Bartlett
Modified: 2017-08-01 06:05 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch for master (1.57 KB, patch)
2017-07-21 08:58 UTC, Andrew Bartlett
no flags Details
patch cherry-picked from master for 4.7 (only) (1.82 KB, patch)
2017-07-26 03:31 UTC, Andrew Bartlett
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-07-21 08:13:58 UTC
There is a bug in 602772159dfd1213385f42ecbf31136f57693b63 causing most of the tests not to run, as most of them run in ktest:local, not ktest. 

Only 7, not 35, tests run currently.
Comment 1 Andrew Bartlett 2017-07-21 08:58:13 UTC
Created attachment 13408 [details]
proposed patch for master

I have this patch under private autobuild
Comment 2 Andrew Bartlett 2017-07-26 03:31:37 UTC
Created attachment 13432 [details]
patch cherry-picked from master for 4.7 (only)
Comment 3 Karolin Seeger 2017-07-31 09:29:18 UTC
Pushed to autobuild-v4-7-test.
Comment 4 Karolin Seeger 2017-08-01 06:05:48 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-7-test.
Closing out bug report.

Thanks!